%NIGHTLYRUNCIELO - run nightly test of Cielo on Ice
%
%   This script goes to each directory of 'tests/Verification' and 
%   launch the nighlty tests for cielo if they exist.

%Go to Test directory
eval(['cd ' ISSM_DIR '/tests/']);

%Run all verification tests
cd Verification

%Get a list of the test decks
[status,list]=system('ls -l | grep -v CVS | awk ''{printf("%s|",$9);}'' '); %only works on *nix systems.
list=strsplit(list,'|');
%Go through list of decks, and run the deck runme.m files.
for i=2:length(list)-1,
	cd([ list{i}]);
	if exist('runmecielo.m','file')==2,
		runmecielo;
	end
	cd ..
end
